%global enable_tests 1
%global srcname bl

Name:           nodejs-%{srcname}
Version:        0.9.3
Release:        1%{?dist}
Summary:        A Node.js Buffer list collector, reader and streamer
License:        MIT
URL:            https://github.com/rvagg/bl
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(hash_file)
BuildRequires:  npm(readable-stream)
%endif


%description
bl is a storage object for collections of Node Buffers, exposing them with the 
main Buffer readable API. Also works as a duplex stream so you can collect 
buffers from a stream that emits them and emit buffers to a stream that 
consumes them!


%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep readable-stream ^1.1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%doc README.md LICENSE.md
%{nodejs_sitelib}/%{srcname}


%changelog
* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.9.3-1
- Initial package
